classification
Title: crash
Type: crash Stage: resolved
Components: macOS Versions: Python 3.3
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: ronaldoussoren Nosy List: flynn11, ned.deily, ronaldoussoren
Priority: normal Keywords:

Created on 2013-02-12 21:33 by flynn11, last changed 2013-02-13 01:07 by ned.deily. This issue is now closed.

Messages (6)
msg181976 - (view) Author: jake (flynn11) Date: 2013-02-12 21:33
I have had python 3.3.0 on my mac and have been successfully using it for the past few weeks.  Today in my class I had the program open and it was running fine.  Then suddenly it quit working and shut itself down.  I have restarted my machine multiple times and reinstalled the program over 5 times and it still will not open at all now.  Does anyone know why this might be?  I am currently running OSX 10.8.2 and trying to get the python version 3.3.0 to run.  I am puzzled as to why it would work fine for so long and then suddenly decide to stop and even not open after reinstallation.  I would appreciate it if someone could help me troubleshoot how to get it up and running again.
msg181985 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2013-02-13 00:08
How exactly are you invoking Python?  From a terminal command line?  What messages do you see when you type:

    /usr/local/bin/python3.3

Or from IDLE?  If so, try invoking IDLE from a terminal:

    /usr/local/bin/idle3.3
msg181986 - (view) Author: jake (flynn11) Date: 2013-02-13 00:36
Ned,
   I was starting python from the applications menu and selecting IDLE.  I tried both of those commands.  Both worked, the first started python in terminal and displayed this message:
"Last login: Tue Feb 12 16:32:21 on ttys000
localhost:~ jakeflynn$ /usr/local/bin/python3.3
Python 3.3.0 (v3.3.0:bd8afb90ebf2, Sep 29 2012, 01:25:11) 
[GCC 4.2.1 (Apple Inc. build 5666) (dot 3)] on darwin
Type "help", "copyright", "credits" or "license" for more information.
>>> "

, the second started up a python shell.  But even though python is now open, the icon on the dock is different and none of my previous python files will open.  When i try to open them, the IDLE icon im used to seeing bounces a few times and then disappears while the other python IDLE icon that started up after entering the second command line you gave me is up the whole time.
msg181987 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2013-02-13 00:53
"But even though python is now open, the icon on the dock is different and none of my previous python files will open.  When i try to open them, the IDLE icon im used to seeing bounces a few times and then disappears while the other python IDLE icon that started up after entering the second command line you gave me is up the whole time."

From that I take it that you are trying to open the python files by double clicking on them?  If so, try launching idle from the command line again and, from its menu bar (which will be labeled as "Python" instead of "IDLE", try opening your python files with the File -> Open menu and see if that brings up an IDLE edit window that you can use.

Also, after quitting the command line IDLE, try the following in the terminal:

grep TK_PATCH_LEVEL /Library/Frameworks/Tk.framework/tkConfig.sh
# report what this says
cd ~
mv .idlerc .idlerc-DISABLED

That will restore all of IDLE's defaults.  Then, try double-clicking on IDLE again.  If it still fails to launch, check the system.log for relevant error messages.  You can use the Console app (in /Applications/Utilities/) for that.
msg181988 - (view) Author: jake (flynn11) Date: 2013-02-13 01:02
It is working correctly now.  Thank you for the help!
msg181989 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2013-02-13 01:07
If moving .idlerc fixed the problem, undoubtedly one of the IDLE config files had a corrupted value.  There have been some fixes since 3.3.0 to make that part of IDLE more robust.  If you want to pursue the issue, you can reopen this issue and upload the files from the broken .idlerc.
History
Date User Action Args
2013-02-13 01:07:59ned.deilysetmessages: + msg181989
2013-02-13 01:06:53michael.foordsetstatus: open -> closed
resolution: works for me
stage: resolved
2013-02-13 01:02:14flynn11setmessages: + msg181988
2013-02-13 00:53:06ned.deilysetmessages: + msg181987
2013-02-13 00:36:13flynn11setmessages: + msg181986
2013-02-13 00:08:15ned.deilysetnosy: + ned.deily
messages: + msg181985
2013-02-12 21:33:09flynn11create